%define major 0
%define libname %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

Summary:	Library to support Bi-directional scripts
Name:		fribidi
Version:	0.19.2
Release:	5
License:	LGPLv2+
Group:		System/Internationalization
URL:		http://fribidi.org
Source0: 	http://fribidi.org/download/fribidi-%{version}.tar.gz
Patch0:		fribidi-0.19.1-fix-str-fmt.patch

%description
A library to handle bidirectional scripts (eg hebrew, arabic), so that
the display is done in the proper way; while the text data itself is
always written in logical order.
The library uses unicode internally.

%package -n %{libname}
Summary:	Library to support Bi-directional scripts
Group:		System/Internationalization

%description -n %{libname}
A library to handle bidirectional scripts (eg hebrew, arabic), so that
the display is done in the proper way; while the text data itself is
always written in logical order.
The library uses unicode internally.

%package -n %{develname}
Summary:	Libraries and headers for development with %{name}
Group:		Development/C
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Obsoletes:	%{_lib}fribidi-static-devel

%description -n %{develname}
This package includes the libraries and header files for the %{name}
package.

%prep
%setup -q
%patch0 -p0

%build
%configure2_5x \
	--disable-static

%make

%check
make check

%install
%makeinstall_std

%files
%doc README AUTHORS ChangeLog TODO THANKS NEWS
%{_bindir}/fribidi

%files -n %{libname}
%{_libdir}/libfribidi.so.%{major}*

%files -n %{develname}
%{_libdir}/*.so
%{_includedir}/*
%{_libdir}/pkgconfig/*
%_mandir/man3/*



%changelog
* Sun Mar 25 2012 Matthew Dawkins <mattydaw@mandriva.org> 0.19.2-5
+ Revision: 786631
- rebuild
- cleaned up spec
- disabled static build

* Tue May 03 2011 Oden Eriksson <oeriksson@mandriva.com> 0.19.2-4
+ Revision: 664358
- mass rebuild

* Thu Dec 02 2010 Oden Eriksson <oeriksson@mandriva.com> 0.19.2-3mdv2011.0
+ Revision: 605217
- rebuild

* Mon Mar 15 2010 Oden Eriksson <oeriksson@mandriva.com> 0.19.2-2mdv2010.1
+ Revision: 520110
- rebuilt for 2010.1

* Fri Apr 24 2009 Götz Waschk <waschk@mandriva.org> 0.19.2-1mdv2010.0
+ Revision: 368977
- new version

* Sat Mar 07 2009 Funda Wang <fwang@mandriva.org> 0.19.1-2mdv2009.1
+ Revision: 351666
- fix str fmt

  + Antoine Ginies <aginies@mandriva.com>
    - rebuild

* Wed Sep 03 2008 Götz Waschk <waschk@mandriva.org> 0.19.1-1mdv2009.0
+ Revision: 279720
- new version
- add man pages
- remove fribidi-config

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 0.10.9-2mdv2009.0
+ Revision: 221005
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sun Dec 30 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.10.9-1mdv2008.1
+ Revision: 139598
- new version
- enable checks
- spec file clean

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Jul 21 2007 Funda Wang <fwang@mandriva.org> 0.10.8-2mdv2008.0
+ Revision: 54120
- fix static devel requires

* Sat Jul 14 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.10.8-1mdv2008.0
+ Revision: 52080
- disable checks
- new devel library policy
- forgot to add asource :(
- new version

* Thu May 17 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 0.10.7-1mdv2008.0
+ Revision: 27699
- Updated to 0.10.7.
- Updated URL field.
- Added static-devel subpackage.
- Minor cleanups.


* Sun Jan 14 2007 Götz Waschk <waschk@mandriva.org> 0.10.4-6mdv2007.0
+ Revision: 108938
- Import fribidi

* Sun Jan 14 2007 Götz Waschk <waschk@mandriva.org> 0.10.4-6mdv2007.1
- rebuild

* Sat Dec 31 2005 Mandriva Linux Team <http://www.mandrivaexpert.com/> 0.10.4-6mdk
- Rebuild

* Thu Feb 03 2005 Abel Cheung <deaddog@mandrake.org> 0.10.4-5mdk
- multiarch

